1 Reply Latest reply on Jan 24, 2017 8:02 AM by Steven Dod

    How to remove leader jog points in weld symbol

    Aleksandr Hohlatsov

      Hi,

      there is one problem. I have weld symbol on drawing and it has jog point. I want to remove it, but cant.

      My code:

      swModel = swApp.ActiveDoc;          

      swDrawing = (DrawingDoc)swModel;

      swView = swDrawing.GetFirstView();

      swView = swView.GetNextView();

      WeldSymbol sWeld = swView.GetFirstWeldSymbol();

       

      1. I have also tried:

      swAnn = sWeld.GetAnnotation();

      swAnn.SetLeader3(0, 0, false, false, false, false);

      This code hide leaders if they are not bent. In this case they stay visible.

      2. I check for points coordinates

      int lc = swAnn.GetLeaderCount();   // lc=1

      int ls = swAnn.GetLeaderStyle();    // ls =2 - this mean that SW know that it bended

      bool attached = sWeld.IsAttached();    //true;

      bool extra = sWeld.HasExtraLeader();  // false;

      All that mean that Leader has no extra lines and it bended and I must to take double array where it count more than 3

      but i take

      object[] AnnObj = swAnn.GetLeaderPointsAtIndex(0);   // NULL   !!!!!

      or

      double[] WeldDouble = sWeld.GetLeaderAtIndex(0);    // ZERO count !!!!!

       

      So I even cant to take coordinates of jog point to remove after.

       

      How to do that in easiest way.

      Please help!